import { css } from "@emotion/css"

export const scrollbar = css`
  &&::-webkit-scrollbar {
    width: 7px;
  }
  &&::-webkit-scrollbar-track {
    background: transparent;
  }
  &&:hover,
  &&:active {
    &&::-webkit-scrollbar-thumb {
      background: #8883;
      transition: 0.1s;
      border-radius: 6px;
      @media (prefers-color-scheme: dark) {
        background: #6663;
      }
    }
    &&::-webkit-scrollbar-thumb:hover {
      background: #ddd;
      transition: 0.1s;
      @media (prefers-color-scheme: dark) {
        background: #555;
      }
    }
  }
`
